RawFrame

Retrieve an upload

GET
/v1/uploads/{upload_id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key, e.g. rf_live_3f9k2q_….

Path Parameters

upload_id*string
Match^upl_

Response Body

The upload.

application/json
  1. response
object*unknown
id*string
Match^upl_
status*string
Value in"pending""ready""rejected"
content_type*string
size_bytes?integer
upload_url?string

Signed PUT URL; present only while status is pending.

Formaturi
upload_url_expires_at?string
Formatdate-time
expires_at*string
Formatdate-time
Example Request
curl -X GET 'https://api.rawframe.dev/v1/uploads/string'
Example Response
{  "object": "upload",  "id": "string",  "status": "pending",  "content_type": "string",  "size_bytes": 0,  "upload_url": "http://example.com",  "upload_url_expires_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z"}